###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2008 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Summary: Open Source HA Resource Group Failover for Red Hat Enterprise Linux
Version: 2.03.04
Release: 1%{?alphatag:.%{alphatag}}%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Base
URL: http://sources.redhat.com/cluster/wiki/
Source0: ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
Requires: chkconfig initscripts glibc ncurses bash grep sed gawk
Requires: cman >= 2.03.03
Requires: net-tools mount e2fsprogs
Requires(post): chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig

## Setup/build bits

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Build dependencies
BuildRequires: perl
BuildRequires: glibc-devel
BuildRequires: libxml2-devel ncurses-devel slang-devel

%prep
%setup -q -n cluster-%{version}

%build
# for legacy reasons, all binaries have always been installed in /sbin
./configure \
  --initddir=%{_sysconfdir}/rc.d/init.d \
  --libdir=%{_libdir} \
  --openaislibdir=%{_libdir}/openais \
  --without_gfs \
  --without_gnbd \
  --disable_kernel_check

make rgmanager

%install
rm -rf $RPM_BUILD_ROOT
make -C rgmanager install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
	/sbin/service rgmanager stop >/dev/null 2>&1
	/sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README.licence COPYING.applications COPYING.libraries rgmanager/README rgmanager/errors.txt
%{_sysconfdir}/rc.d/init.d/rgmanager
/usr/sbin/clu*
/usr/sbin/rg_test
%{_datadir}/cluster
%{_mandir}/man8/clu*

%changelog
* Wed Jun 11 2008 Fabio M. Di Nitto <fdinitto@redhat.com> 2.03.04-1
- New upstream release
- Resolves: #446995 #318271 #447378 #445662
- Update license tags after major upstream cleanup
- Include COPYRIGHT file

* Fri May 30 2008 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.03.03-1
- New upstream release
- Cleanup spec file
- Update Requires to use packages rather than pointing at files
- Update licence tag
- Drop local patches that are now upstream
- Update build section to use standard macros and remove need of kernel heaeders
- Cleanup install target and remove local hacks
- Fix preun section to stop rgmanager
- Cleanup files section to use macros

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.23-3
- Autorebuild for GCC 4.3

* Wed Jan 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.23-1
- New upstream sources.
- Resolves: rhbz#222961

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources.
- Resolves: rhbz#222485

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources.
- Resolves: rhbz#218697

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.20-1
- New upstream sources.
- Resolves: rhbz#216774

* Tue Nov 28 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-4
- New upstream sources.
- Resolves: rhbz#213878

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- New upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Added dist tag.

* Mon Oct 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-1
- Rebuilt with new upstream sources.

* Wed Sep 27 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-1
- Rebuilt with new upstream sources.

* Mon Sep 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-1
- Rebuilt with new upstream sources.

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.6-1
- Rebuilt with new upstream sources.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.0-0.fc6.5.1
- rebuild

* Tue Jun 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Built for fc6

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.44-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt with new upstream sources.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
